JBoss Native SVN: r3281 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-05-07 10:59:42 -0400 (Wed, 07 May 2014)
New Revision: 3281
Modified:
trunk/build/unix/buildbin.EAP6.sh
Log:
fix some problems.
Modified: trunk/build/unix/buildbin.EAP6.sh
===================================================================
--- trunk/build/unix/buildbin.EAP6.sh 2014-05-07 14:30:19 UTC (rev 3280)
+++ trunk/build/unix/buildbin.EAP6.sh 2014-05-07 14:59:42 UTC (rev 3281)
@@ -68,7 +68,7 @@
echo "Using $JAVA_HOME for mvn"
mvn install || exit 1
-jar_file=`ls -t target/*.jar | head -1`
+jar_file=`ls -t target/*.jar | grep -v sources | head -1`
EAP6=/home/hudson/EAP6
export EAP6
old_file=`ls $EAP6/modules/system/layers/base/org/jboss/as/web/main/jbossweb*.jar`
@@ -87,7 +87,7 @@
#installing servlet
export TS_HOME=/home/hudson/tcks/servlet/servlettck
export ANT_HOME=$TS_HOME/tools/ant
-cp $TS_HOME/bin/ts.jte.tc7 $TS_HOME/bin/ts.jte
+cp $TS_HOME/bin/ts.jte.eap6 $TS_HOME/bin/ts.jte
SDIR=$TS_HOME/dist/com/sun/ts/tests/servlet
for file in `find $SDIR -name *.war`
10 years, 7 months
JBoss Native SVN: r3280 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-05-07 10:30:19 -0400 (Wed, 07 May 2014)
New Revision: 3280
Modified:
trunk/build/unix/buildbin.EAP6.sh
Log:
Oops forgot the jar to enable websocket.
jboss-web.xml (in WEB-INF/jboss-web.xml)
<jboss-web>
<enable-websocket="true"/>
</jboss-web>
Should work too...
Modified: trunk/build/unix/buildbin.EAP6.sh
===================================================================
--- trunk/build/unix/buildbin.EAP6.sh 2014-05-07 13:49:03 UTC (rev 3279)
+++ trunk/build/unix/buildbin.EAP6.sh 2014-05-07 14:30:19 UTC (rev 3280)
@@ -113,6 +113,8 @@
cd TMP
jar xvf $file
rm META-INF/MANIFEST.MF
+ mkdir -p WEB-INF/lib
+ cp /home/hudson/enable-websockets.jar WEB-INF/lib
jar cvf $FILE *
cp $FILE $EAP6/standalone/deployments/
cd -
10 years, 7 months
JBoss Native SVN: r3279 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-05-07 09:49:03 -0400 (Wed, 07 May 2014)
New Revision: 3279
Modified:
trunk/build/unix/buildbin.EAP6.sh
Log:
typo.
Modified: trunk/build/unix/buildbin.EAP6.sh
===================================================================
--- trunk/build/unix/buildbin.EAP6.sh 2014-05-07 13:32:17 UTC (rev 3278)
+++ trunk/build/unix/buildbin.EAP6.sh 2014-05-07 13:49:03 UTC (rev 3279)
@@ -71,7 +71,7 @@
jar_file=`ls -t target/*.jar | head -1`
EAP6=/home/hudson/EAP6
export EAP6
-old_file=`ls $EAP6/odules/system/layers/base/org/jboss/as/web/main/jbossweb*.jar`
+old_file=`ls $EAP6/modules/system/layers/base/org/jboss/as/web/main/jbossweb*.jar`
cp $jar_file $old_file
cp $jar_file $EAP6/jbossweb.jar
10 years, 7 months
JBoss Native SVN: r3278 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-05-07 09:32:17 -0400 (Wed, 07 May 2014)
New Revision: 3278
Modified:
trunk/build/unix/buildbin.EAP6.sh
trunk/build/unix/buildbin.TC7.sh
Log:
Arrange test TCK6 = servlet TCK7 = websocket :D
Modified: trunk/build/unix/buildbin.EAP6.sh
===================================================================
--- trunk/build/unix/buildbin.EAP6.sh 2014-05-07 12:53:30 UTC (rev 3277)
+++ trunk/build/unix/buildbin.EAP6.sh 2014-05-07 13:32:17 UTC (rev 3278)
@@ -84,11 +84,12 @@
rm -rf $EAP6/standalone/deployments/
mkdir $EAP6/standalone/deployments/
-#installing
-export TS_HOME=/home/hudson/TCK7/javaeetck
+#installing servlet
+export TS_HOME=/home/hudson/tcks/servlet/servlettck
export ANT_HOME=$TS_HOME/tools/ant
+cp $TS_HOME/bin/ts.jte.tc7 $TS_HOME/bin/ts.jte
+
SDIR=$TS_HOME/dist/com/sun/ts/tests/servlet
-SRID=$TS_HOME/src/com/sun/ts/tests/servlet
for file in `find $SDIR -name *.war`
do
FILE=`basename $file`
@@ -104,7 +105,6 @@
WDIR=$TS_HOME/dist/com/sun/ts/tests/websocket
-WRID=$TS_HOME/src/com/sun/ts/tests/websocket
for file in `find $WDIR -name *.war`
do
FILE=`basename $file`
@@ -128,17 +128,16 @@
sleep 60
echo ""
-echo "Running TCK tests..."
+echo "Running TCK6 tests..."
echo "SERVLETS"
echo ""
-cp $TS_HOME/bin/ts.jte.eap6 $TS_HOME/bin/ts.jte
-(cd $SRID; ant runclient || exit 1)
+(cd $TS_HOME/bin; ant run.all || exit 1)
if [ $? -ne 0 ]; then
echo "Failed test failed..."
stopEAP6
exit 1
else
- (cd $SRID; ant report || exit 1)
+ (cd $TS_HOME/bin; ant report || exit 1)
if [ $? -ne 0 ]; then
echo "Failed build test report failed..."
stopEAP6
@@ -146,8 +145,11 @@
fi
fi
-echo "WEBSOCKET"
+echo "WEBSOCKET TCK7"
echo ""
+export TS_HOME=/home/hudson/TCK7/javaeetck
+export ANT_HOME=$TS_HOME/tools/ant
+cp $TS_HOME/bin/ts.jte.eap6 $TS_HOME/bin/ts.jte
(cd $WRID; ant runclient || exit 1)
if [ $? -ne 0 ]; then
echo "Failed test failed..."
Modified: trunk/build/unix/buildbin.TC7.sh
===================================================================
--- trunk/build/unix/buildbin.TC7.sh 2014-05-07 12:53:30 UTC (rev 3277)
+++ trunk/build/unix/buildbin.TC7.sh 2014-05-07 13:32:17 UTC (rev 3278)
@@ -210,6 +210,7 @@
echo ""
export TS_HOME=/home/hudson/tcks/servlet/servlettck
export ANT_HOME=$TS_HOME/tools/ant
+cp $TS_HOME/bin/ts.jte.tc7 $TS_HOME/bin/ts.jte
(cd $TS_HOME/bin; ant run.all || exit 1)
if [ $? -ne 0 ]; then
echo "Failed test failed..."
10 years, 7 months
JBoss Native SVN: r3277 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-05-07 08:53:30 -0400 (Wed, 07 May 2014)
New Revision: 3277
Modified:
trunk/build/unix/buildbin.EAP6.sh
trunk/build/unix/buildbin.TC8.sh
Log:
test websocket and servlet.
Modified: trunk/build/unix/buildbin.EAP6.sh
===================================================================
--- trunk/build/unix/buildbin.EAP6.sh 2014-05-07 12:09:26 UTC (rev 3276)
+++ trunk/build/unix/buildbin.EAP6.sh 2014-05-07 12:53:30 UTC (rev 3277)
@@ -72,6 +72,8 @@
EAP6=/home/hudson/EAP6
export EAP6
old_file=`ls $EAP6/odules/system/layers/base/org/jboss/as/web/main/jbossweb*.jar`
+cp $jar_file $old_file
+cp $jar_file $EAP6/jbossweb.jar
echo ""
echo "Stopping EAP6 (just in case)"
@@ -85,9 +87,9 @@
#installing
export TS_HOME=/home/hudson/TCK7/javaeetck
export ANT_HOME=$TS_HOME/tools/ant
-DIR=$TS_HOME/dist/com/sun/ts/tests/servlet
-RID=$TS_HOME/src/com/sun/ts/tests/servlet
-for file in `find $DIR -name *.war`
+SDIR=$TS_HOME/dist/com/sun/ts/tests/servlet
+SRID=$TS_HOME/src/com/sun/ts/tests/servlet
+for file in `find $SDIR -name *.war`
do
FILE=`basename $file`
rm -rf TMP
@@ -99,12 +101,28 @@
cp $FILE $EAP6/standalone/deployments/
cd -
done
+
+
+WDIR=$TS_HOME/dist/com/sun/ts/tests/websocket
+WRID=$TS_HOME/src/com/sun/ts/tests/websocket
+for file in `find $WDIR -name *.war`
+do
+ FILE=`basename $file`
+ rm -rf TMP
+ mkdir TMP
+ cd TMP
+ jar xvf $file
+ rm META-INF/MANIFEST.MF
+ jar cvf $FILE *
+ cp $FILE $EAP6/standalone/deployments/
+ cd -
+done
#configurating
JAVA_OPTS="$JAVA_OPTS -Dorg.apache.catalina.STRICT_SERVLET_COMPLIANCE=true -Dorg.apache.tomcat.util.http.ServerCookie.FWD_SLASH_IS_SEPARATOR=false"
export JAVA_OPTS
# Starting tomcat...
-(cd $EAP6; bin/standalone.shi &)
+(cd $EAP6; bin/standalone.sh &)
echo ""
echo "Waiting for EAP6 to start"
sleep 60
@@ -113,13 +131,14 @@
echo "Running TCK tests..."
echo "SERVLETS"
echo ""
-(cd $RID; ant runclient || exit 1)
+cp $TS_HOME/bin/ts.jte.eap6 $TS_HOME/bin/ts.jte
+(cd $SRID; ant runclient || exit 1)
if [ $? -ne 0 ]; then
echo "Failed test failed..."
stopEAP6
exit 1
else
- (cd $RID; ant report || exit 1)
+ (cd $SRID; ant report || exit 1)
if [ $? -ne 0 ]; then
echo "Failed build test report failed..."
stopEAP6
@@ -127,9 +146,25 @@
fi
fi
+echo "WEBSOCKET"
echo ""
-echo "Stopping TC8"
+(cd $WRID; ant runclient || exit 1)
+if [ $? -ne 0 ]; then
+ echo "Failed test failed..."
+ stopEAP6
+ exit 1
+else
+ (cd $WRID; ant report || exit 1)
+ if [ $? -ne 0 ]; then
+ echo "Failed build test report failed..."
+ stopEAP6
+ exit 1
+ fi
+fi
+
echo ""
+echo "Stopping EAP6"
+echo ""
stopEAP6
echo "Done"
Modified: trunk/build/unix/buildbin.TC8.sh
===================================================================
--- trunk/build/unix/buildbin.TC8.sh 2014-05-07 12:09:26 UTC (rev 3276)
+++ trunk/build/unix/buildbin.TC8.sh 2014-05-07 12:53:30 UTC (rev 3277)
@@ -64,6 +64,7 @@
current_loc=`pwd`
native_sources=srclib/`ls srclib | grep TC8`
native_sources=`(cd $native_sources; pwd)`
+export native_sources
cd $native_sources
echo "Using $JAVA_HOME for ant"
ant || exit 1
@@ -119,6 +120,7 @@
echo "Running TCK tests..."
echo "SERVLETS"
echo ""
+cp $TS_HOME/bin/ts.jte.tc8 $TS_HOME/bin/ts.jte
(cd $RID; ant runclient || exit 1)
if [ $? -ne 0 ]; then
echo "Failed test failed..."
10 years, 7 months
JBoss Native SVN: r3276 - trunk/build/daemon.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-05-07 08:09:26 -0400 (Wed, 07 May 2014)
New Revision: 3276
Added:
trunk/build/daemon/buildEAP6.sh
Log:
Add EAP6.
Added: trunk/build/daemon/buildEAP6.sh
===================================================================
--- trunk/build/daemon/buildEAP6.sh (rev 0)
+++ trunk/build/daemon/buildEAP6.sh 2014-05-07 12:09:26 UTC (rev 3276)
@@ -0,0 +1,48 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running `basename $0` $LastChangedDate: 2008-07-23 16:17:15 +0200 (Wed, 23 Jul 2008) $"
+echo ""
+echo "Started : `date`"
+echo "Params : $@"
+echo ""
+
+while [ "x" != "x$1" ]
+do
+ case $1 in
+ -env)
+ echo "Dumping environment"
+ env
+ echo ""
+ ;;
+ -no-ssl)
+ build_ssl=false
+ ;;
+ esac
+ shift
+done
+
+(cd ../unix
+ ./build.sh EAP6 -cache -test
+)
Property changes on: trunk/build/daemon/buildEAP6.sh
___________________________________________________________________
Added: svn:executable
+ *
10 years, 7 months
JBoss Native SVN: r3275 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-05-07 08:03:48 -0400 (Wed, 07 May 2014)
New Revision: 3275
Added:
trunk/build/unix/buildbin.EAP6.sh
trunk/build/unix/buildsrc.EAP6.sh
trunk/build/unix/buildtest.EAP6.sh
Modified:
trunk/build/unix/package.list
Log:
Add jbossweb tests...
Added: trunk/build/unix/buildbin.EAP6.sh
===================================================================
--- trunk/build/unix/buildbin.EAP6.sh (rev 0)
+++ trunk/build/unix/buildbin.EAP6.sh 2014-05-07 12:03:48 UTC (rev 3275)
@@ -0,0 +1,137 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2009-07-09 18:37:49 +0200 (Thu, 09 Jul 2009) $"
+echo ""
+echo "Started : `date`"
+echo "Common : $1"
+echo "Prefix : $2"
+echo "Output : $3"
+echo "OpenSSL : $4"
+echo "Static : $5"
+echo "Sources : $6"
+echo ""
+
+
+# parameters
+# $1: Location of the common libraries.
+# $2: Destination location.
+# $3: Location where to put the binaries.
+# $4: Use OpenSSL.
+# $5: Use static build.
+# $6: Location of the sources.
+
+common_loc=$1
+prefix_loc=$2
+output_loc=$3
+has_openssl_loc=$4
+has_static_loc=$5
+sources_loc=$6
+
+# Stop EAP6
+stopEAP6()
+{
+(cd $EAP6; bin/jboss-cli.sh --commands=connect,shutdown)
+sleep 10
+PID=`ps -ef | grep $EAP6 | grep java | awk ' { print $2 } '`
+if [ x$PID != "x" ]; then
+ kill -15 $PID
+ sleep 10
+fi
+}
+
+current_loc=`pwd`
+native_sources=srclib/`ls srclib | grep WEB`
+native_sources=`(cd $native_sources; pwd)`
+cd $native_sources
+echo "Using $JAVA_HOME for mvn"
+mvn install || exit 1
+
+jar_file=`ls -t target/*.jar | head -1`
+EAP6=/home/hudson/EAP6
+export EAP6
+old_file=`ls $EAP6/odules/system/layers/base/org/jboss/as/web/main/jbossweb*.jar`
+
+echo ""
+echo "Stopping EAP6 (just in case)"
+echo ""
+stopEAP6
+
+# Cleaning
+rm -rf $EAP6/standalone/deployments/
+mkdir $EAP6/standalone/deployments/
+
+#installing
+export TS_HOME=/home/hudson/TCK7/javaeetck
+export ANT_HOME=$TS_HOME/tools/ant
+DIR=$TS_HOME/dist/com/sun/ts/tests/servlet
+RID=$TS_HOME/src/com/sun/ts/tests/servlet
+for file in `find $DIR -name *.war`
+do
+ FILE=`basename $file`
+ rm -rf TMP
+ mkdir TMP
+ cd TMP
+ jar xvf $file
+ rm META-INF/MANIFEST.MF
+ jar cvf $FILE *
+ cp $FILE $EAP6/standalone/deployments/
+ cd -
+done
+#configurating
+JAVA_OPTS="$JAVA_OPTS -Dorg.apache.catalina.STRICT_SERVLET_COMPLIANCE=true -Dorg.apache.tomcat.util.http.ServerCookie.FWD_SLASH_IS_SEPARATOR=false"
+export JAVA_OPTS
+
+# Starting tomcat...
+(cd $EAP6; bin/standalone.shi &)
+echo ""
+echo "Waiting for EAP6 to start"
+sleep 60
+echo ""
+
+echo "Running TCK tests..."
+echo "SERVLETS"
+echo ""
+(cd $RID; ant runclient || exit 1)
+if [ $? -ne 0 ]; then
+ echo "Failed test failed..."
+ stopEAP6
+ exit 1
+else
+ (cd $RID; ant report || exit 1)
+ if [ $? -ne 0 ]; then
+ echo "Failed build test report failed..."
+ stopEAP6
+ exit 1
+ fi
+fi
+
+echo ""
+echo "Stopping TC8"
+echo ""
+stopEAP6
+
+echo "Done"
+echo ""
+exit 0
Property changes on: trunk/build/unix/buildbin.EAP6.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/build/unix/buildsrc.EAP6.sh
===================================================================
--- trunk/build/unix/buildsrc.EAP6.sh (rev 0)
+++ trunk/build/unix/buildsrc.EAP6.sh 2014-05-07 12:03:48 UTC (rev 3275)
@@ -0,0 +1,62 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2009-10-27 08:23:43 +0100 (Tue, 27 Oct 2009) $"
+echo ""
+echo "Started : `date`"
+echo "Tag : $1"
+echo "Target : $2"
+echo ""
+
+# parameters
+# $1: The tag to use something like 2.2.6 or trunk
+# $2: Directory where to put the sources.
+
+tag=$1
+dist=$2
+
+# we need something like:
+# http://anonsvn.jboss.org/repos/mod_cluster/trunk/
+case $tag in
+ trunk)
+ URLBASE=http://anonsvn.jboss.org/repos/jbossweb/branches/7.4.x/
+ ;;
+ *)
+ URLBASE=http://anonsvn.jboss.org/repos/jbossweb/tags/${tag}
+ ;;
+esac
+
+echo "$tag using $URLBASE"
+(cd $package_src_dir/srclib
+svn export ${URLBASE} WEB
+)
+if [ $? -ne 0 ]; then
+ echo "svn co ${URLBASE} WEB FAILED"
+ exit 1
+fi
+if [ ! -d $package_src_dir/srclib/WEB ]; then
+ echo "$package_src_dir/srclib/WEB not found!"
+ echo "svn co ${URLBASE} WEB FAILED"
+ exit 1
+fi
Property changes on: trunk/build/unix/buildsrc.EAP6.sh
___________________________________________________________________
Added: svn:executable
+ *
Added: trunk/build/unix/buildtest.EAP6.sh
===================================================================
--- trunk/build/unix/buildtest.EAP6.sh (rev 0)
+++ trunk/build/unix/buildtest.EAP6.sh 2014-05-07 12:03:48 UTC (rev 3275)
@@ -0,0 +1,45 @@
+#!/bin/sh
+# Copyright(c) 2010 Red Hat Middleware, LLC,
+# and individual contributors as indicated by the @authors tag.
+# See the copyright.txt in the distribution for a
+# full listing of individual contributors.
+#
+# This library is free software; you can redistribute it and/or
+# modify it under the terms of the GNU Lesser General Public
+# License as published by the Free Software Foundation; either
+# version 2 of the License, or (at your option) any later version.
+#
+# This library is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# Lesser General Public License for more details.
+#
+# You should have received a copy of the GNU Lesser General Public
+# License along with this library in the file COPYING.LIB;
+# if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
+#
+# @author Jean-Frederic Clere
+#
+# Run a test of the traffic_server.
+#
+# $1 : Base directory for the test.
+# $2 : Directory where the package was built.
+# $3 : Directory where downloaded packages are stored.
+# $4 : Name or IP to use for the tests.
+# $5 : Do the SSL stuff.
+
+base=$1
+root=$2
+build_cache_dir=$3
+IPLOCAL=$4
+loc_has_ssl=$5
+
+echo ""
+echo "Running : `basename $0` $LastChangedDate: 2009-10-29 08:26:17 +0100 (Thu, 29 Oct 2009) $"
+echo ""
+
+echo ""
+echo "SUCCESS : `basename $0` $LastChangedDate: 2009-10-29 08:26:17 +0100 (Thu, 29 Oct 2009) $"
+echo ""
+exit 0
Property changes on: trunk/build/unix/buildtest.EAP6.sh
___________________________________________________________________
Added: svn:executable
+ *
Modified: trunk/build/unix/package.list
===================================================================
--- trunk/build/unix/package.list 2014-05-02 15:21:30 UTC (rev 3274)
+++ trunk/build/unix/package.list 2014-05-07 12:03:48 UTC (rev 3275)
@@ -74,3 +74,4 @@
TC8|TC8_Trunk|trunk
TC7|TC7_Trunk|trunk
TC6|TC6_Trunk|trunk
+EAP6|EAP6_Trunk|trunk
10 years, 7 months
JBoss Native SVN: r3274 - trunk/build/unix.
by jbossnative-commits@lists.jboss.org
Author: jfrederic.clere(a)jboss.com
Date: 2014-05-02 11:21:30 -0400 (Fri, 02 May 2014)
New Revision: 3274
Modified:
trunk/build/unix/buildbin.TC8.sh
Log:
Add TCK parameters.
Modified: trunk/build/unix/buildbin.TC8.sh
===================================================================
--- trunk/build/unix/buildbin.TC8.sh 2014-04-30 14:55:11 UTC (rev 3273)
+++ trunk/build/unix/buildbin.TC8.sh 2014-05-02 15:21:30 UTC (rev 3274)
@@ -103,6 +103,11 @@
cp $FILE $native_sources/output/build/webapps
cd -
done
+#configurating
+cat > $native_sources/output/build/bin/setenv.sh << EOF
+JAVA_OPTS="$JAVA_OPTS -Dorg.apache.catalina.STRICT_SERVLET_COMPLIANCE=true -Dorg.apache.tomcat.util.http.ServerCookie.FWD_SLASH_IS_SEPARATOR=false"
+export JAVA_OPTS
+EOF
# Starting tomcat...
(cd $native_sources/output/build; bin/startup.sh)
10 years, 7 months